#
# spec file for package rubygem-net-sftp
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define mod_name net-sftp
%define mod_full_name %{mod_name}-%{version}
#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#
Name:           rubygem-net-sftp
Version:        4.0.0
Release:        1.10
Summary:        A pure Ruby implementation of the SFTP client protocol
License:        MIT
Group:          Development/Languages/Ruby
URL:            https://github.com/net-ssh/net-sftp
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5

%description
A pure Ruby implementation of the SFTP client protocol.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.txt LICENSE.txt README.rdoc" \
  -f
# MANUAL
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name '.github' -o -name '.gitignore' \) | xargs rm -rf
# /MANUAL


%gem_packages

%changelog
* Tue Nov  1 2022 Dan Čermák <dcermak@suse.com>
- New upstream release 4.0.0
  see installed CHANGES.txt
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.0.0
  see installed CHANGES.txt
  === 3.0.0
  * Pass protocol version via Net::SFTP.start [#107]
  * Net-ssh 6.0 support [#106]
* Thu Oct 16 2014 coolo@suse.com
- adapt to new rubygem packaging
* Wed May  8 2013 coolo@suse.com
- updated to version 2.1.2
  * Fix fragmentation download failure [accardi]
* Tue Mar  5 2013 coolo@suse.com
- updated to version 2.1.1
  * Added public cert. All gem releases are now signed. See INSTALL in readme.
  * Remove self-require, it causes a warning in Ruby 1.9.2. [jbarnette]
  * Allow for upload to use the filename of the local file by default [czarneckid]
  * Properly handle receiving less data than requested. [thedarkone]
  * Added option to create directory on directory upload [Pablo Merino]
  * Remove a warnings in tests [kachick]
* Thu Mar  8 2012 saschpe@suse.de
- Update to version 2.0.5:
  * Fixed missing StringIO exception in download!
- Fixed license, according to README.rdoc, it's MIT
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- update to 2.0.4
* Thu Mar 26 2009 mrueckert@suse.de
- update to 2.0.2
* Mon Jan 26 2009 mrueckert@suse.de
- update to 2.0.1
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 1.1.0
